from dataclasses import dataclass
from datetime import datetime
from pydantic import BaseModel

from app.schemas.user import Role
from app.util.encoders import force_utc_datetime


@dataclass
class AccessToken:
    subject: str
    role: Role
    session: str

class TokenRefreshRequest(BaseModel):
    refresh_token: str


class TokenResponse(BaseModel):
    access_token: str
    refresh_token: str
    not_after: datetime

    class Config:
        json_encoders = {datetime: force_utc_datetime}
